Results 1 to 3 of 3

Thread: server / software requirements

  1. #1
    eguy is offline Newbie
    Join Date
    Dec 2007
    Posts
    2

    Question server / software requirements

    Hi,

    I am interested in your plan if you can move two of my domains, one in a Cpanel controlled root directory and the other in a sub-domain cpanel controlled directory. I would like these domains placed in a sub domain on your server. As one of the domains is in a root directory at present is this possible and will Glowhost provide this migration free of charge based on the purchase of one or more of your shared hosting packages?

    Next:

    I would like to know of your server can meet my php script requirement as follows:

    Server Requirements

    You must have a webserver that has PHP 4.3.3 (or better) and MySQL 4.1 (or better) installed. If you are unsure whether your server has these programs installed, please check with your web host now. If you are capable, you can always download PHP and download MySQL and install it yourself. If your web host does not support PHP or MySQL, consider hosting your entire web site with PHPFOX Hosting services. Konsort works both on Apache (1 & 2) and Windows IIS servers with any of the following operating systems Solaris, Linux, BSD, Windows and Mac.
    PHP Requirements

    PHP version 4.3.3 (or better). GD 2.x installed and a minimum memory limit of 42M. PHP must also have safe_mode turned off.
    MySQL Requirements

    Apart from needing MySQL version 4.1 (or better) installed you will also need the MySQL username and MySQL password for a MySQL user that has permission to "CREATE", "DROP" and "ALTER" tables. You will need about 5mb of free web space and roughly 5mb of MySQL database space to allow installation and a moderately sized community. If you are unsure on any of these points, please ask your web host before proceeding.
    Notice: If you are using MySQL 5 it cannot run in strict mode. For more information about MySQL Modes supported in MySQL 5 and how to turn them off check here.
    Test the requirements

    You can also download our test script here. The zip package will have 1 PHP file called "phpfox.php". Upload that PHP file to your server and run it like: http://www.example.com/phpfox.php
    Optional Module Requirements

    The requirements listed below are only required if you decide to use one of the following optional modules.
    Music Module
    • PHP file_uploads : 1
    • PHP post_max_size : 40M
    • PHP max_input_time : -1
    • PHP upload_max_filesize : 38M
    Video Module (Upload Mode)
    although there may be redundancy (sorry) in the following the below requirements are for a vital video upgrade that I will need:

    Special video mod / Server Requirements:

    Short URLs enable
    Linux Server (some old distributions are not supported)
    Apache Web Server
    MySQL (version 4 or higher)
    PHP (version 4.3 or higher)
    PHP Configuration: safe_mode = off
    Must be able to run PHP from the command line (CLI) with exec()
    Allowed execution of background processes with exec("binary > /dev/null &")
    register_globals = on (recommended)
    open_basedir = (no value)
    output_buffering = on
    upload_max_filesize = 100M (recommended maximum video upload size in MB) post_max_size = 100M (recommended maximum video upload size in MB)
    GD Library 2 or higher
    FFmpeg (FFmpeg)
    FFmpeg-PHP (ffmpeg-php)
    Mplayer + Mencoder (MPlayer - The Movie Player)
    flv2tool (inlet media » FLVTool2 - Flash video and meta data manipulation)
    Libogg + Libvorbis (Xiph.org: Downloads)
    LAME MP3 Encoder (LAME MP3 Encoder)


    If all is ok with the about main script and spcial video server requirements, how long will it take to request the free offered installation for the following:

    FFmpeg (FFmpeg)
    FFmpeg-PHP (ffmpeg-php)
    Mplayer + Mencoder (MPlayer - The Movie Player)
    flv2tool (inlet media » FLVTool2 - Flash video and meta data manipulation)
    Libogg + Libvorbis (Xiph.org: Downloads)
    LAME MP3 Encoder (LAME MP3 Encoder)

    Last:

    Are users on the shared plan able to create .htaccess and php.ini and have complete control / access with them without requested support to edit such files>

    Thanks.

    eguy
    Last edited by eguy; 12-25-2007 at 04:08 AM.

  2. #2
    Matt's Avatar
    Matt is offline GlowHost Administrator
    Join Date
    Jan 2005
    Location
    Behind your monitor
    Posts
    5,207

    Default

    Quote Originally Posted by eguy View Post
    Hi,

    I am interested in your plan if you can move two of my domains, one in a Cpanel controlled root directory and the other in a sub-domain cpanel controlled directory. I would like these domains placed in a sub domain on your server. As one of the domains is in a root directory at present is this possible and will Glowhost provide this migration free of charge based on the purchase of one or more of your shared hosting packages?
    Yes we can provide the migration provided your host allows the transfer and you provide the user and password for the old cPanel.

    Quote Originally Posted by eguy View Post

    I would like to know of your server can meet my php script requirement as follows:

    Server Requirements

    You must have a webserver that has PHP 4.3.3 (or better) and MySQL 4.1 (or better) installed. If you are unsure whether your server has these programs installed, please check with your web host now. If you are capable, you can always download PHP and download MySQL and install it yourself. If your web host does not support PHP or MySQL, consider hosting your entire web site with XXXXXXXXX. Konsort works both on Apache (1 & 2) and Windows IIS servers with any of the following operating systems Solaris, Linux, BSD, Windows and Mac.
    PHP Requirements

    PHP version 4.3.3 (or better). GD 2.x installed and a minimum memory limit of 42M. PHP must also have safe_mode turned off.
    MySQL Requirements

    Apart from needing MySQL version 4.1 (or better) installed you will also need the MySQL username and MySQL password for a MySQL user that has permission to "CREATE", "DROP" and "ALTER" tables. You will need about 5mb of free web space and roughly 5mb of MySQL database space to allow installation and a moderately sized community. If you are unsure on any of these points, please ask your web host before proceeding.
    Notice: If you are using MySQL 5 it cannot run in strict mode. For more information about MySQL Modes supported in MySQL 5 and how to turn them off check here.
    Test the requirements

    You can also download our test script here. The zip package will have 1 PHP file called "phpfox.php". Upload that PHP file to your server and run it like: http://www.example.com/phpfox.php
    Optional Module Requirements

    The requirements listed below are only required if you decide to use one of the following optional modules.
    Music Module
    • PHP file_uploads : 1
    • PHP post_max_size : 40M
    • PHP max_input_time : -1
    • PHP upload_max_filesize : 38M
    Video Module (Upload Mode)
    Yes- phpfox runs fine on our servers.

    Quote Originally Posted by eguy View Post
    although there may be redundancy (sorry) in the following the below requirements are for a vital video upgrade that I will need:
    Yes it is a little redundant. Pretty much if you see the word "ffmpeg" we support it. All the others on the list are practically one in the same because you rarely see a script that only requires ffmpeg, it usually requires all the same other things, so we have them all installed.

    Quote Originally Posted by eguy View Post
    Special video mod / Server Requirements:

    Short URLs enable
    Linux Server (some old distributions are not supported)
    Apache Web Server
    MySQL (version 4 or higher)
    PHP (version 4.3 or higher)
    PHP Configuration: safe_mode = off
    Must be able to run PHP from the command line (CLI) with exec()
    Allowed execution of background processes with exec("binary > /dev/null &")
    register_globals = on (recommended)
    open_basedir = (no value)
    output_buffering = on
    upload_max_filesize = 100M (recommended maximum video upload size in MB) post_max_size = 100M (recommended maximum video upload size in MB)
    GD Library 2 or higher
    FFmpeg (FFmpeg)
    FFmpeg-PHP (ffmpeg-php)
    Mplayer + Mencoder (MPlayer - The Movie Player)
    flv2tool (inlet media » FLVTool2 - Flash video and meta data manipulation)
    Libogg + Libvorbis (Xiph.org: Downloads)
    LAME MP3 Encoder (LAME MP3 Encoder)
    Those modules are all installed, you can change your site's local php settings using php.ini to match what your script requires.

    Quote Originally Posted by eguy View Post
    If all is ok with the about main script and spcial video server requirements, how long will it take to request the free offered installation for the following:

    FFmpeg (FFmpeg)
    FFmpeg-PHP (ffmpeg-php)
    Mplayer + Mencoder (MPlayer - The Movie Player)
    flv2tool (inlet media » FLVTool2 - Flash video and meta data manipulation)
    Libogg + Libvorbis (Xiph.org: Downloads)
    LAME MP3 Encoder (LAME MP3 Encoder)
    No time at all. They are all installed already.

    Quote Originally Posted by eguy View Post
    Are users on the shared plan able to create .htaccess and php.ini and have complete control / access with them without requested support to edit such files>
    Yes you have full access to both files. Just keep things reasonable so you do not overload the server.

    I recommend a VPS or dedicated server for these video scripts over a shared host.
    Last edited by Matt; 12-26-2007 at 03:01 AM.
    Send your friends and site visitors to GlowHost and get $125 plus bonus!
    GlowHost Affiliate Program | Read our Blog | GlowHost's Facebook | Follow us on Twitter | GlowHost on Google+

  3. #3
    eguy is offline Newbie
    Join Date
    Dec 2007
    Posts
    2

    Thumbs up server / software requirements

    hello,

    Thank you for responding to my post. As of the present time, the site traffic for both sites are low in activitiy traffic and memberships.

    For now, I will use a shared server for the cost effectiveness, however, if and when the activitiy increases, I will consider your recommendation to a VPSor dedicated server at that time.

    Thank you.

    eguy.

Bookmarks

Posting Permissions

  • You may post new threads
  • You may post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16